dn: olcDatabase={0}config,cn=config
changetype:modify
add: olcSyncrepl
{% for item in groups.ldap_servers %}
olcSyncrepl: rid=00{{loop.index}}
  provider=ldap://{{item}}
  binddn="cn=config"
  bindmethod=simple
  credentials={{fd_ldap_configpass}} 
  searchbase="cn=config"
  type=refreshAndPersist
  retry="5 5 300 +"
  timeout=1
{% endfor %}
-
add: olcMirrorMode
olcMirrorMode: TRUE

dn: olcDatabase={1}mdb,cn=config
changetype:modify
add: olcSyncrepl
{% for item in groups.ldap_servers %}
olcSyncrepl: rid=00{{groups.ldap_servers|length + loop.index}}
  provider=ldap://{{item}}
  binddn="cn=admin,dc={{fd_ldap_basic_dn.stdout}}"
  bindmethod=simple
  credentials={{fd_ldap_adminpass}}
  searchbase="dc={{fd_ldap_basic_dn.stdout}}"
  type=refreshAndPersist
  retry="5 5 300 +"
  timeout=1
{% endfor %}
-
add: olcMirrorMode
olcMirrorMode: TRUE
